#ifndef DIALOGVIEWCONFIGURATION_H
#define DIALOGVIEWCONFIGURATION_H

#include <tqcheckbox.h>
#include <tqptrlist.h>
class TQVBoxLayout;

#include <kdialogbase.h>

#include "viewbase.h"


class DialogViewConfiguration : public KDialogBase
{
    TQ_OBJECT
  
 public:
    DialogViewConfiguration(TQWidget* parent, ViewBase& view);
    ~DialogViewConfiguration();

    TQSize sizeHint() const;
 public slots:
    void apply();

 private:
    TQVBoxLayout* _layout;
    ViewBase&    _view;
    TQPtrList<TQCheckBox>  _qEnabledCB;
};

#endif
